#! /usr/bin/env python3
"""Build resume."""

from os import sep
from pathlib import Path

from rwx import fs
from rwx.ps import run

if __name__ == "__main__":
    root = Path(__file__).resolve().parent
    root_input = root / "in"
    root_output = root / "out"
    web = root_output / "web"
    fs.wipe(root_output)
    fs.make_directory(web)
    run(
        "rsync",
        "--archive",
        "--partial",
        "--progress",
        "--verbose",
        f"{root_input}{sep}",
        f"{web}{sep}",
    )
    run(
        "qrencode",
        ("--background", "00000000"),
        ("--foreground", "000000FF"),
        ("--level", "L"),
        ("--margin", "1"),
        ("--read-from", str(root_input / "vcard.vcf")),
        ("--size", "4"),
        ("-t", "SVG"),
        ("--output", str(web / "img" / "vcard.svg")),
    )
